Subject: Redirect on backend login when Webroot is not ../Web
Description

For developing I would like to use one vHost for several instances. I think I changed the RewriteBase in ../Web/.htdocs correctly.

Everything is working except that if I log in I'll get redirected to 
http://neos.local/@user-wittem.html
but i should be something like 
http://neos.local/neos/neosgit/Web/homepage/@user-wittem.html

The fallback in the BackendController is just /<workspace> but this is not sufficient if my vHost's DocumentRoot points to a different
directory than ../Web

History
#1 - 2012-12-17 17:25 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Could you give some more details on your setup (Apache, .htaccess) so we can reproduce?

#2 - 2013-10-03 22:32 - Marcin Sągol

Hi, i'v just installed Neos demo page (not without problems) through command line (import, create user erc.). Frontend works fine except some small
error in content. The real problem is backend. I can reach login page and after my user data is enterd im redirected domain.com@user-soee but i have
website installed under domain.com/www/Web. Than when i manually try to call domain.com/www/Web/neos again i have:

@Uncaught Exception in Flow
#1284985489: "/sites/neosdemotypo3org/www/Web/" is not a valid path: must start but not end with a slash.
More information

InvalidArgumentException thrown in file
/web/www/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/TYPO3_TYPO3CR_Domain_Repository_NodeDataRepository.php in
line 140.

Go to the FORGE issue tracker and report the issue - if you think it is a bug!@

#3 - 2013-10-04 09:49 - Karsten Dambekalns

Did you change the RewriteBase as required in .htaccess?

#4 - 2013-10-04 09:53 - Marcin Sągol
http://neos.local/@user-wittem.html
http://neos.local/neos/neosgit/Web/homepage/@user-wittem.html


Yes, the Web/.htaccess was modified otherwise i had 404 error.
